/*
ChrispyChars Tricks
	by Lach

beta
*/

if not CC_TrickSkins
	rawset(_G, "CC_TrickSkins", {})
end

--[[
USAGE: Copy the above into your script.

Make a CC_TrickSkins entry for each skin you want to add extra tricks to.
The skin entry must have a table of trick entries.
It can also optionally enable the following parameters:
	- alwaysenabled: lets the character perform tricks regardless of whether the command is toggled
	- bouncetricks: enables enemy/monitor bounce tricks
Each trick entry in the skin's table can have multiple trick entries.
The available trick entry parameters are:
	- rarity: fixed-scale multiplier for how often the trick can be picked
		(FRACUNIT is default, 2*FRACUNIT would be twice as likely)
	- sprite2: SPR2 set the trick pose should use
	- rotation: direction that determines which way the trick should spin
		(0 for no rotation, > 0 for counterclockwise, < 0 for clockwise, "random" for either 1/-1)
	- angle: angle, relative to the camera, that the trick will be started from;
		needs to be an angle value, see https://wiki.srb2.org/wiki/Constants#Angles_.28ANG.2A.2FANGLE_.2A.29
		the player will return to their previous angle after the trick has finished (unless it rotates)
	- tics: if the trick should be animated, each frame will display for this long
		(if the trick should not be animated, set to 0 or below)
	- frames: if the trick is animated, this is the number of frames in the SPR2 animation
	- frame: if the trick is not animated, this is the frame of the SPR2 set to display

See the other scripts in the ChrispyChars addon for some examples!
When ChrispyChars is loaded, your tricks will take effect when the trick command is toggled on.
You can also copy this script and its sounds into your addon if you want the tricks to take effect regardless!
Just please don't edit it. :)
]]--

CC_TrickSkins["DEFAULT"] = {
	alwaysenabled = false,
	{
		sprite2 = SPR2_WALK,
		rotation = "random",
		tics = 0,
	},
}